mtext_insert(3m17n)

NAME
mtext_insert - Insert sub-text of an M-text into another M-text.

SYNOPSIS
int mtext_insert (MText * mt1, int pos, MText * mt2, int from, int to)

DESCRIPTION
Insert sub-text of an M-text into another M-text.

The mtext_insert() function inserts sub-text of M-text mt2 between from (inclusive) and to (exclusive) into M-text mt1, at position pos. As a result, mt1 is lengthen by (to - from). On insertion, all the text properties of the sub-text of mt2 are inherited.

RETURN VALUE

    If the operation was successful, mtext_insert() returns 0. Otherwise, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_MTEXT, MERROR_RANGE

SEE ALSO

    mtext_ins()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.